## node-jison 0.4.17%2Bdfsg

=== debian/tests/control ===
Tests: require
Depends: jison

## node-jison 0.4.17+dfsg

=== Makefile ===

all: test

site:
	./node_modules/.bin/browserify entry.js --exports require | ./node_modules/.bin/uglifyjs > web/content/assets/js/jison.js
	cd web/ && nanoc compile
	cp -r examples web/output/jison/

preview:
	cd web/ && nanoc view &
	open http://localhost:3000/jison/

deploy:
	rm -r ../pages/jison/*
	cp -r web/output/jison/* ../pages/jison/
	cd ../pages/jison && git add . && git commit -m 'Deploy site updates' && git push origin gh-pages

test:
	node tests/all-tests.js

=== debian/changelog ===
node-jison (0.4.17+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from node-nomnom. Closes: #1116813.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 06:50:00 +0200

node-jison (0.4.17+dfsg-5) unstable; urgency=medium

  * Team upload
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Update standards version to 4.6.0, no changes needed.
  * Update nodejs dependency to nodejs:any
  * Generate manpage with help2man

 -- Yadd <yadd@debian.org>  Thu, 23 Dec 2021 16:01:08 +0100

node-jison (0.4.17+dfsg-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Use dh-sequence-nodejs auto install
  * Declare node-jison

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Nov 2020 13:24:23 +0100

node-jison (0.4.17+dfsg-3) unstable; urgency=medium

  * Fix autopkgtest

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Oct 2016 15:48:02 +0530

node-jison (0.4.17+dfsg-2) unstable; urgency=medium

  * Create shell wrapper for jison

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Oct 2016 22:30:40 +0530

node-jison (0.4.17+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840810)

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Oct 2016 11:31:39 +0530

=== debian/control ===
Source: node-jison
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , help2man <!nodoc>
 , node-cjson <!nocheck>
 , node-ebnf-parser <!nocheck>
 , node-escodegen <!nocheck>
 , node-esprima <!nocheck>
 , node-jison-lex <!nocheck>
 , node-jsonselect <!nocheck>
 , node-lex-parser <!nocheck>
 , node-nomnom
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/node-jison
Vcs-Git: https://salsa.debian.org/js-team/node-jison.git
Homepage: http://jison.org

Package: jison
Architecture: all
Depends: ${misc:Depends}
 , node-cjson
 , node-ebnf-parser
 , node-escodegen
 , node-esprima
 , node-jison-lex
 , node-jsonselect
 , node-lex-parser
 , node-nomnom
 , nodejs:any
Provides: node-jison
Description: parser generator with Bison's API
 Jison generates bottom-up parsers in JavaScript. Its API is similar to
 Bison's, hence the name. It supports many of Bison's major features, plus some
 of its own.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jison-$1/ \
 https://github.com/zaach/jison/tags .*/archive/.*/v?([\d\.]+).tar.gz
